diff -upr ioquake3svn1438/code/game/ai_cmd.c ioquake3serverFix/code/game/ai_cmd.c
--- ioquake3svn1438/code/game/ai_cmd.c	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/game/ai_cmd.c	2008-08-09 11:28:21.000000000 -0500
@@ -134,16 +134,6 @@ void BotPrintTeamGoal(bot_state_t *bs) {
 			BotAI_Print(PRT_MESSAGE, "%s: I'm gonna patrol for %1.0f secs\n", netname, t);
 			break;
 		}
-		case LTG_POINTA:
-		{
-			BotAI_Print(PRT_MESSAGE, "%s: I'm gonna take care of point A for %1.0f secs\n", netname, t);
-			break;
-		}
-		case LTG_POINTB:
-		{
-			BotAI_Print(PRT_MESSAGE, "%s: I'm gonna take care of point B for %1.0f secs\n", netname, t);
-			break;
-		}
 		default:
 		{
 			if (bs->ctfroam_time > FloatTime()) {
@@ -662,104 +652,6 @@ void BotMatch_DefendKeyArea(bot_state_t 
 
 /*
 ==================
-BotMatch_TakeA
-For Double Domination
-==================
-*/
-void BotMatch_TakeA(bot_state_t *bs, bot_match_t *match) {
-// 	char itemname[MAX_MESSAGE_SIZE];
-	char netname[MAX_MESSAGE_SIZE];
-	int client;
-
-	if (!TeamPlayIsOn()) return;
-	//if not addressed to this bot
-	if (!BotAddressedToBot(bs, match)) return;
-	//get the match variable
-	/*trap_BotMatchVariable(match, KEYAREA, itemname, sizeof(itemname));
-	//
-	if (!BotGetMessageTeamGoal(bs, itemname, &bs->teamgoal)) {
-		//BotAI_BotInitialChat(bs, "cannotfind", itemname, NULL);
-		//trap_BotEnterChat(bs->cs, bs->client, CHAT_TEAM);
-		return;
-	}*/
-	//
-	trap_BotMatchVariable(match, NETNAME, netname, sizeof(netname));
-	//
-	client = ClientFromName(netname);
-	//the team mate who ordered
-	bs->decisionmaker = client;
-	bs->ordered = qtrue;
-	bs->order_time = FloatTime();
-	//set the time to send a message to the team mates
-	bs->teammessage_time = FloatTime() + 2 * random();
-	//set the ltg type
-	bs->ltgtype = LTG_POINTA;
-	//get the team goal time
-	bs->teamgoal_time = BotGetTime(match);
-	//set the team goal time
-	if (!bs->teamgoal_time) bs->teamgoal_time = FloatTime() + DD_POINTA;
-	//away from defending
-	bs->defendaway_time = 0;
-	//
-	BotSetTeamStatus(bs);
-	// remember last ordered task
-	BotRememberLastOrderedTask(bs);
-#ifdef DEBUG
-	BotPrintTeamGoal(bs);
-#endif //DEBUG
-}
-
-/*
-==================
-BotMatch_TakeB
-For Double Domination
-==================
-*/
-void BotMatch_TakeB(bot_state_t *bs, bot_match_t *match) {
-// 	char itemname[MAX_MESSAGE_SIZE];
-	char netname[MAX_MESSAGE_SIZE];
-	int client;
-
-	if (!TeamPlayIsOn()) return;
-	//if not addressed to this bot
-	if (!BotAddressedToBot(bs, match)) return;
-	//get the match variable
-	/*trap_BotMatchVariable(match, KEYAREA, itemname, sizeof(itemname));
-	//
-	if (!BotGetMessageTeamGoal(bs, itemname, &bs->teamgoal)) {
-		//BotAI_BotInitialChat(bs, "cannotfind", itemname, NULL);
-		//trap_BotEnterChat(bs->cs, bs->client, CHAT_TEAM);
-		//return;
-	}*/
-	//
-	trap_BotMatchVariable(match, NETNAME, netname, sizeof(netname));
-	//
-	client = ClientFromName(netname);
-	//the team mate who ordered
-	bs->decisionmaker = client;
-	bs->ordered = qtrue;
-	bs->order_time = FloatTime();
-	//set the time to send a message to the team mates
-	bs->teammessage_time = FloatTime() + 2 * random();
-	//set the ltg type
-	bs->ltgtype = LTG_POINTB;
-	//get the team goal time
-	bs->teamgoal_time = BotGetTime(match);
-	//set the team goal time
-	if (!bs->teamgoal_time) bs->teamgoal_time = FloatTime() + DD_POINTA;
-	//away from defending
-	bs->defendaway_time = 0;
-	//
-	BotSetTeamStatus(bs);
-	// remember last ordered task
-	BotRememberLastOrderedTask(bs);
-#ifdef DEBUG
-	BotPrintTeamGoal(bs);
-#endif //DEBUG
-}
-
-/*
-==================
 BotMatch_GetItem
 ==================
 */
@@ -938,16 +830,16 @@ void BotMatch_GetFlag(bot_state_t *bs, b
 	char netname[MAX_MESSAGE_SIZE];
 	int client;
 
-	if (gametype == GT_CTF || gametype == GT_CTF_ELIMINATION) {
+	if (gametype == GT_CTF) {
 		if (!ctf_redflag.areanum || !ctf_blueflag.areanum)
 			return;
 	}
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	else if (gametype == GT_1FCTF) {
 		if (!ctf_neutralflag.areanum || !ctf_redflag.areanum || !ctf_blueflag.areanum)
 			return;
 	}
-//#endif
+#endif
 	else {
 		return;
 	}
@@ -968,7 +860,7 @@ void BotMatch_GetFlag(bot_state_t *bs, b
 	//set the team goal time
 	bs->teamgoal_time = FloatTime() + CTF_GETFLAG_TIME;
 	// get an alternate route in ctf
-	if (gametype == GT_CTF || gametype == GT_CTF_ELIMINATION) {
+	if (gametype == GT_CTF) {
 		//get an alternative route goal towards the enemy base
 		BotGetAlternateRouteGoal(bs, BotOppositeTeam(bs));
 	}
@@ -990,15 +882,15 @@ void BotMatch_AttackEnemyBase(bot_state_
 	char netname[MAX_MESSAGE_SIZE];
 	int client;
 
-	if (gametype == GT_CTF|| gametype == GT_CTF_ELIMINATION) {
+	if (gametype == GT_CTF) {
 		BotMatch_GetFlag(bs, match);
 	}
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	else if (gametype == GT_1FCTF || gametype == GT_OBELISK || gametype == GT_HARVESTER) {
 		if (!redobelisk.areanum || !blueobelisk.areanum)
 			return;
 	}
-//#endif
+#endif
 	else {
 		return;
 	}
@@ -1028,7 +920,7 @@ void BotMatch_AttackEnemyBase(bot_state_
 #endif //DEBUG
 }
 
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 /*
 ==================
 BotMatch_Harvest
@@ -1070,7 +962,7 @@ void BotMatch_Harvest(bot_state_t *bs, b
 	BotPrintTeamGoal(bs);
 #endif //DEBUG
 }
-//#endif
+#endif
 
 /*
 ==================
@@ -1081,16 +973,16 @@ void BotMatch_RushBase(bot_state_t *bs, 
 	char netname[MAX_MESSAGE_SIZE];
 	int client;
 
-	if (gametype == GT_CTF|| gametype == GT_CTF_ELIMINATION) {
+	if (gametype == GT_CTF) {
 		if (!ctf_redflag.areanum || !ctf_blueflag.areanum)
 			return;
 	}
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	else if (gametype == GT_1FCTF || gametype == GT_HARVESTER) {
 		if (!redobelisk.areanum || !blueobelisk.areanum)
 			return;
 	}
-//#endif
+#endif
 	else {
 		return;
 	}
@@ -1176,10 +1068,10 @@ void BotMatch_ReturnFlag(bot_state_t *bs
 
 	//if not in CTF mode
 	if (
-		gametype != GT_CTF && gametype != GT_CTF_ELIMINATION
-//#ifdef MISSIONPACK
+		gametype != GT_CTF
+#ifdef MISSIONPACK
 		&& gametype != GT_1FCTF
-//#endif
+#endif
 		)
 		return;
 	//if not addressed to this bot
@@ -1544,7 +1436,7 @@ void BotMatch_WhatAreYouDoing(bot_state_
 			BotAI_BotInitialChat(bs, "returningflag", NULL);
 			break;
 		}
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 		case LTG_ATTACKENEMYBASE:
 		{
 			BotAI_BotInitialChat(bs, "attackingenemybase", NULL);
@@ -1555,17 +1447,7 @@ void BotMatch_WhatAreYouDoing(bot_state_
 			BotAI_BotInitialChat(bs, "harvesting", NULL);
 			break;
 		}
-//#endif
-		case LTG_POINTA:
-		{
-			BotAI_BotInitialChat(bs, "dd_pointa", NULL);
-			break;
-		}
-		case LTG_POINTB:
-		{
-			BotAI_BotInitialChat(bs, "dd_pointb", NULL);
-			break;
-		}
+#endif
 		default:
 		{
 			BotAI_BotInitialChat(bs, "roaming", NULL);
@@ -1653,7 +1535,7 @@ void BotMatch_WhereAreYou(bot_state_t *b
 		"Heavy Armor",
 		"Red Flag",
 		"Blue Flag",
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 		"Nailgun",
 		"Prox Launcher",
 		"Chaingun",
@@ -1665,7 +1547,7 @@ void BotMatch_WhereAreYou(bot_state_t *b
 		"Red Obelisk",
 		"Blue Obelisk",
 		"Neutral Obelisk",
-//#endif
+#endif
 		NULL
 	};
 	//
@@ -1685,10 +1567,10 @@ void BotMatch_WhereAreYou(bot_state_t *b
 		}
 	}
 	if (bestitem != -1) {
-		if (gametype == GT_CTF || gametype == GT_CTF_ELIMINATION
-//#ifdef MISSIONPACK
+		if (gametype == GT_CTF
+#ifdef MISSIONPACK
 			|| gametype == GT_1FCTF
-//#endif
+#endif
 			) {
 			redtt = trap_AAS_AreaTravelTimeToGoalArea(bs->areanum, bs->origin, ctf_redflag.areanum, TFL_DEFAULT);
 			bluett = trap_AAS_AreaTravelTimeToGoalArea(bs->areanum, bs->origin, ctf_blueflag.areanum, TFL_DEFAULT);
@@ -1702,7 +1584,7 @@ void BotMatch_WhereAreYou(bot_state_t *b
 				BotAI_BotInitialChat(bs, "location", nearbyitems[bestitem], NULL);
 			}
 		}
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 		else if (gametype == GT_OBELISK || gametype == GT_HARVESTER) {
 			redtt = trap_AAS_AreaTravelTimeToGoalArea(bs->areanum, bs->origin, redobelisk.areanum, TFL_DEFAULT);
 			bluett = trap_AAS_AreaTravelTimeToGoalArea(bs->areanum, bs->origin, blueobelisk.areanum, TFL_DEFAULT);
@@ -1716,7 +1598,7 @@ void BotMatch_WhereAreYou(bot_state_t *b
 				BotAI_BotInitialChat(bs, "location", nearbyitems[bestitem], NULL);
 			}
 		}
-//#endif
+#endif
 		else {
 			BotAI_BotInitialChat(bs, "location", nearbyitems[bestitem], NULL);
 		}
@@ -1842,7 +1724,7 @@ void BotMatch_CTF(bot_state_t *bs, bot_m
 
 	char flag[128], netname[MAX_NETNAME];
 
-	if (gametype == GT_CTF || gametype == GT_CTF_ELIMINATION) {
+	if (gametype == GT_CTF) {
 		trap_BotMatchVariable(match, FLAG, flag, sizeof(flag));
 		if (match->subtype & ST_GOTFLAG) {
 			if (!Q_stricmp(flag, "red")) {
@@ -1874,14 +1756,14 @@ void BotMatch_CTF(bot_state_t *bs, bot_m
 			bs->flagstatuschanged = 1;
 		}
 	}
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	else if (gametype == GT_1FCTF) {
 		if (match->subtype & ST_1FCTFGOTFLAG) {
 			trap_BotMatchVariable(match, NETNAME, netname, sizeof(netname));
 			bs->flagcarrier = ClientFromName(netname);
 		}
 	}
-//#endif
+#endif
 }
 
 void BotMatch_EnterGame(bot_state_t *bs, bot_match_t *match) {
@@ -1920,9 +1802,8 @@ int BotMatchMessage(bot_state_t *bs, cha
 	match.type = 0;
 	//if it is an unknown message
 	if (!trap_BotFindMatch(message, &match, MTCONTEXT_MISC
-	|MTCONTEXT_INITIALTEAMCHAT
-	|MTCONTEXT_CTF
-	|MTCONTEXT_DD)) {
+											|MTCONTEXT_INITIALTEAMCHAT
+											|MTCONTEXT_CTF)) {
 		return qfalse;
 	}
 	//react to the found message
@@ -1955,7 +1836,7 @@ int BotMatchMessage(bot_state_t *bs, cha
 			BotMatch_GetFlag(bs, &match);
 			break;
 		}
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 		//CTF & 1FCTF & Obelisk & Harvester
 		case MSG_ATTACKENEMYBASE:
 		{
@@ -1968,7 +1849,7 @@ int BotMatchMessage(bot_state_t *bs, cha
 			BotMatch_Harvest(bs, &match);
 			break;
 		}
-//#endif
+#endif
 		//CTF & 1FCTF & Harvester
 		case MSG_RUSHBASE:				//ctf rush to the base
 		{
@@ -2101,16 +1982,6 @@ int BotMatchMessage(bot_state_t *bs, cha
 			BotMatch_Suicide(bs, &match);
 			break;
 		}
-		case MSG_TAKEA:
-		{
-			BotMatch_TakeA(bs, &match);
-			break;
-		}
-		case MSG_TAKEB:
-		{
-			BotMatch_TakeB(bs, &match);
-			break;
-		}
 		default:
 		{
 			BotAI_Print(PRT_MESSAGE, "unknown match type\n");
diff -upr ioquake3svn1438/code/game/ai_dmnet.c ioquake3serverFix/code/game/ai_dmnet.c
--- ioquake3svn1438/code/game/ai_dmnet.c	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/game/ai_dmnet.c	2008-08-09 11:28:21.000000000 -0500
@@ -525,59 +525,6 @@ int BotGetLongTermGoal(bot_state_t *bs, 
 			bs->defendaway_time = 0;
 		}
 	}
-	//For double domination
-	if (bs->ltgtype == LTG_POINTA &&
-				bs->defendaway_time < FloatTime()) {
-		//check for bot typing status message
-		if (bs->teammessage_time && bs->teammessage_time < FloatTime()) {
-			trap_BotGoalName(bs->teamgoal.number, buf, sizeof(buf));
-			BotAI_BotInitialChat(bs, "dd_start_pointa", buf, NULL);
-			trap_BotEnterChat(bs->cs, 0, CHAT_TEAM);
-			//BotVoiceChatOnly(bs, -1, VOICECHAT_ONDEFENSE);
-			bs->teammessage_time = 0;
-		}
-		//set the bot goal
-		memcpy(goal, &ctf_redflag, sizeof(bot_goal_t));
-		//if very close... go away for some time
-		VectorSubtract(goal->origin, bs->origin, dir);
-		if (VectorLengthSquared(dir) < Square(70)) {
-			trap_BotResetAvoidReach(bs->ms);
-			bs->defendaway_time = FloatTime() + 3 + 3 * random();
-			if (BotHasPersistantPowerupAndWeapon(bs)) {
-				bs->defendaway_range = 100;
-			}
-			else {
-				bs->defendaway_range = 350;
-			}
-		}
-		return qtrue;
-	}
-	if (bs->ltgtype == LTG_POINTB &&
-				bs->defendaway_time < FloatTime()) {
-		//check for bot typing status message
-		if (bs->teammessage_time && bs->teammessage_time < FloatTime()) {
-			trap_BotGoalName(bs->teamgoal.number, buf, sizeof(buf));
-			BotAI_BotInitialChat(bs, "dd_start_pointb", buf, NULL);
-			trap_BotEnterChat(bs->cs, 0, CHAT_TEAM);
-			//BotVoiceChatOnly(bs, -1, VOICECHAT_ONDEFENSE);
-			bs->teammessage_time = 0;
-		}
-		//set the bot goal
-		memcpy(goal, &ctf_blueflag, sizeof(bot_goal_t));
-		//if very close... go away for some time
-		VectorSubtract(goal->origin, bs->origin, dir);
-		if (VectorLengthSquared(dir) < Square(70)) {
-			trap_BotResetAvoidReach(bs->ms);
-			bs->defendaway_time = FloatTime() + 3 + 3 * random();
-			if (BotHasPersistantPowerupAndWeapon(bs)) {
-				bs->defendaway_range = 100;
-			}
-			else {
-				bs->defendaway_range = 350;
-			}
-		}
-		return qtrue;
-	}
 	//if defending a key area
 	if (bs->ltgtype == LTG_DEFENDKEYAREA && !retreat &&
 				bs->defendaway_time < FloatTime()) {
@@ -801,7 +748,7 @@ int BotGetLongTermGoal(bot_state_t *bs, 
 		return qtrue;
 	}
 #ifdef CTF
-	if (gametype == GT_CTF || gametype == GT_CTF_ELIMINATION) {
+	if (gametype == GT_CTF) {
 		//if going for enemy flag
 		if (bs->ltgtype == LTG_GETFLAG) {
 			//check for bot typing status message
@@ -886,7 +833,7 @@ int BotGetLongTermGoal(bot_state_t *bs, 
 		}
 	}
 #endif //CTF
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	else if (gametype == GT_1FCTF) {
 		if (bs->ltgtype == LTG_GETFLAG) {
 			//check for bot typing status message
@@ -1082,7 +1029,7 @@ int BotGetLongTermGoal(bot_state_t *bs, 
 			return qtrue;
 		}
 	}
-//#endif
+#endif
 	//normal goal stuff
 	return BotGetItemLongTermGoal(bs, tfl, goal);
 }
@@ -1353,12 +1300,12 @@ int BotSelectActivateWeapon(bot_state_t 
 		return WEAPONINDEX_PLASMAGUN;
 	else if (bs->inventory[INVENTORY_LIGHTNING] > 0 && bs->inventory[INVENTORY_LIGHTNINGAMMO] > 0)
 		return WEAPONINDEX_LIGHTNING;
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	else if (bs->inventory[INVENTORY_CHAINGUN] > 0 && bs->inventory[INVENTORY_BELT] > 0)
 		return WEAPONINDEX_CHAINGUN;
 	else if (bs->inventory[INVENTORY_NAILGUN] > 0 && bs->inventory[INVENTORY_NAILS] > 0)
 		return WEAPONINDEX_NAILGUN;
-//#endif
+#endif
 	else if (bs->inventory[INVENTORY_RAILGUN] > 0 && bs->inventory[INVENTORY_SLUGS] > 0)
 		return WEAPONINDEX_RAILGUN;
 	else if (bs->inventory[INVENTORY_ROCKETLAUNCHER] > 0 && bs->inventory[INVENTORY_ROCKETS] > 0)
@@ -1925,13 +1872,13 @@ int AINode_Seek_LTG(bot_state_t *bs)
 		else range = 150;
 		//
 #ifdef CTF
-		if (gametype == GT_CTF || gametype == GT_CTF_ELIMINATION) {
+		if (gametype == GT_CTF) {
 			//if carrying a flag the bot shouldn't be distracted too much
 			if (BotCTFCarryingFlag(bs))
 				range = 50;
 		}
 #endif //CTF
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 		else if (gametype == GT_1FCTF) {
 			if (Bot1FCTFCarryingFlag(bs))
 				range = 50;
@@ -1940,7 +1887,7 @@ int AINode_Seek_LTG(bot_state_t *bs)
 			if (BotHarvesterCarryingCubes(bs))
 				range = 80;
 		}
-//#endif
+#endif
 		//
 		if (BotNearbyGoal(bs, bs->tfl, &goal, range)) {
 			trap_BotResetLastAvoidReach(bs->ms);
@@ -2444,7 +2391,7 @@ int AINode_Battle_Retreat(bot_state_t *b
 		bs->check_time = FloatTime() + 1;
 		range = 150;
 #ifdef CTF
-		if (gametype == GT_CTF || gametype == GT_CTF_ELIMINATION) {
+		if (gametype == GT_CTF) {
 			//if carrying a flag the bot shouldn't be distracted too much
 			if (BotCTFCarryingFlag(bs))
 				range = 50;
